package _VisualDVM.GlobalData.CompilerEnvironment.Json;
import Common.Utils.Utils_;
import com.google.gson.annotations.Expose;

import java.util.List;
import java.util.Vector;
public class EnvironmentsJson {
    @Expose
    public List<EnvironmentJson> values = new Vector<>();
    public String toLine() {
        Vector<String> res = new Vector<>();
        for (EnvironmentJson environmentJson : values) {
            res.add(environmentJson.name + "=" + Utils_.DQuotes(environmentJson.value));
        }
        return String.join(" ", res);
    }
}
